# `PostgresConnection`

The PostgresConnection class is accessible via the `sqlobject.postgres.pgconnection` module.

## Attributes

#### a `supportTransactions`

    True

#### a `schemes`

    ['postgres', 'postgresql']

#### a `dbName`

    'postgres'

## Methods

#### f `__init__(self, dsn=None, host=None, port=None, db=None, user=None, password=None, **kw)` ...

#### f `makeConnection(self)` ...

#### f `createColumn(self, soClass, col)` ...

#### f `createReferenceConstraint(self, soClass, col)` ...

#### f `createIndexSQL(self, soClass, index)` ...

#### f `createIDColumn(self, soClass)` ...

#### f `dropTable(self, tableName, cascade=False)` ...

#### f `joinSQLType(self, join)` ...

#### f `tableExists(self, tableName)` ...

#### f `addColumn(self, tableName, column)` ...

#### f `delColumn(self, sqlmeta, column)` ...

#### f `columnsFromSchema(self, tableName, soClass)` ...

#### f `guessClass(self, t)` ...

#### f `defaultFromSchema(self, colClass, defaultstr)` ...

If the default can be converted to a python constant, convert it. Otherwise return is as a sqlbuilder constant.

#### f `listTables(self)` ...

#### f `listDatabases(self)` ...

#### f `createEmptyDatabase(self)` ...

#### f `dropDatabase(self)` ...

#### f `__del__(self)` ...

See the source for more information.